Skip to content

V1.0

Simulate breast augmentation results from uploaded images using AI processing.

Run an AI Breast Augmentation Simulator task.

Request

This endpoint initiates the breast augmentation simulation process. You must provide a source file (via URL or File ID) and specify the intensity level. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
intensityinteger

The intensity the users wish to adjust their breast, 3 is the strongest intensity.

Default:2
Enum:123
Example:2
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/breast-shape
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/breast-shape \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "intensity": 2
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }